%define version 0.1
%define snapshotdate 20060928
%define release %mkrel -c %{snapshotdate} 1
%define epoch 1


Summary:	Unified Chinese True Type font
Name:		fonts-ttf-chinese
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}

#Source0:	ftp://linux.tmtc.edu.tw/pub/arphic/fonts-ttf-chinese.tar.bz2
#Source1:	cidinst.gb2312
#Source2:	cidunin.gb2312
#Source3:	cidinst.big5
#Source4:	cidunin.big5
#Source5:	http://www.study-area.org/apt/firefly-font/fireflysung-1.3.0.tar.bz2
Source6:	cidinst.chinese
Source7:	cidunin.chinese
Source10:	http://apt.debian.org.tw/pool/t/ttf-arphic-ukai/ttf-arphic-ukai_%{version}.%{snapshotdate}.orig.tar.gz
Source11:	http://apt.debian.org.tw/pool/t/ttf-arphic-ukai/ttf-arphic-uming_%{version}.%{snapshotdate}.orig.tar.gz

URL:		http://www.freedesktop.org/wiki/Software_2fCJKUnifonts
License:	Arphic Public License
Group:		System/Fonts/True type
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%name-%version-%release-root
Requires(post): chkfontpath, mkfontdir, mkfontscale, fontconfig
Requires(postun): chkfontpath, mkfontdir, mkfontscale, fontconfig
Obsoletes:	fonts-ttf-big5
Provides:	fonts-ttf-big5 = %{epoch}:%{version}-%{release}
Obsoletes:	fonts-ttf-gb2312
Provides:	fonts-ttf-gb2312 = %{epoch}:%{version}-%{release}
# pull in old fonts, for compatilibity
# FW: This is not needed for Mandriva 2007
# Requires:	fonts-ttf-chinese-compat

%description
Chinese True Type font covering both tranditional and simplified chinese,
in Sung and Kai font face. It was merged by Arne Goetje, using Sung/Kai
face fonts (both in trad. and simp. Chinese) donated by Arphic Technology
Co Ltd.

In addition, it includes embedded 11-16 pixel bitmap fonts done by Firefly,
and HKSCS(Hong Kong) glyphs done by Akar et. al.

%prep
%setup -q -c -T -n fonts-ttf-chinese -a 10 -a 11
 
%build
mkdir doc
# prevent name clash
cp ttf-arphic-ukai-%{version}.%snapshotdate/README doc/README-ukai
cp ttf-arphic-uming-%{version}.%snapshotdate/README doc/README-uming
cp ttf-arphic-ukai-%{version}.%snapshotdate/CONTRIBUTERS ttf-arphic-ukai-%{version}.%{snapshotdate}/*.xdelta ttf-arphic-uming-%{version}.%{snapshotdate}/*.xdelta doc/

%install
rm -fr %{buildroot}

install -d %{buildroot}/%{_datadir}/fonts/TTF/chinese/
install -m 644 ttf-arphic-ukai-%{version}.%{snapshotdate}/ukai.ttf %{buildroot}/%{_datadir}/fonts/TTF/chinese/
install -m 644 ttf-arphic-uming-%{version}.%{snapshotdate}/uming.ttf %{buildroot}/%{_datadir}/fonts/TTF/chinese/

# merge fonts.alias
cat ttf-arphic-ukai-%{version}.%{snapshotdate}/fonts.alias ttf-arphic-uming-%{version}.%{snapshotdate}/fonts.alias > %{buildroot}%{_datadir}/fonts/TTF/chinese/fonts.alias

# ghost files
%if %mdkversion <= 200600
touch %{buildroot}%{_datadir}/fonts/TTF/chinese/fonts.cache-1
%endif
touch %{buildroot}%{_datadir}/fonts/TTF/chinese/fonts.alias

%post
[ -x %{_sbindir}/chkfontpath ] && %{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/TTF/chinese
[ -x %{_bindir}/mkfontdir ] && %{_bindir}/mkfontdir %{_datadir}/fonts/TTF/chinese
[ -x %{_bindir}/mkfontscale ] && %{_bindir}/mkfontscale %{_datadir}/fonts/TTF/chinese
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 

%postun
if [ "$1" = "0" ]; then
  [ -x %{_sbindir}/chkfontpath ] && %{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/TTF/chinese
  [ -x %{_bindir}/mkfontdir ] && %{_bindir}/mkfontdir %{_datadir}/fonts/TTF/chinese
  [ -x %{_bindir}/mkfontscale ] && %{_bindir}/mkfontscale %{_datadir}/fonts/TTF/chinese
  [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 
fi

%clean
rm -fr %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc doc/*
%dir %{_datadir}/fonts/
%dir %{_datadir}/fonts/TTF/
%dir %{_datadir}/fonts/TTF/chinese/
%{_datadir}/fonts/TTF/chinese/*.ttf
%{_datadir}/fonts/TTF/chinese/fonts.alias
%if %mdkversion <= 200600
%ghost %{_datadir}/fonts/TTF/chinese/fonts.cache-1
%endif


%changelog
* Tue Nov 21 2006 Pablo Saratxaga <pablo@mandriva.com> 0.1-0.20060928.1mdv2007.0
+ Revision: 85822
- new version
- new version (that fixes bug #22614)
- moved to /usr/share/fonts/TTF
- Import fonts-ttf-chinese



* Fri Sep 01 2006 Funda Wang <fundawang@gmail.com> 1:0.1-0.20060903.1mdv2007.0
- New snapshot on 20050903

* Fri Sep 01 2006 Funda Wang <fundawang@gmail.com> 1:0.1-0.20060513.3mdv2007.0
- Rebuild to upload new file

* Sun Jun 04 2006 Funda Wang <fundawang@gmail.com> 1:0.1-0.20060513.2mdv2007.0
- Get rid of the bad symbolic link

* Sun Jun 04 2006 Funda Wang <fundawang@gmail.com> 1:0.1-0.20060513.1mdv2007.0
- New snapshot on 20050513

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.1-0.20051009.3mdk
- Fix fc-cache call

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.1-0.20051009.2mdk
- Never ship fonts.cache-2 

* Wed Nov 09 2005 Abel Cheung <deaddog@mandriva.org> 1:0.1-0.20051009.1mdk
- Drop old arphic fonts, merge in Arne's unified fonts
- Don't execute any ghostscript stuff, because all scripts are useless

* Sat Apr 16 2005 Abel Cheung <deaddog@mandriva.org> 1.3.0-1mdk
- New release 1.3.0

* Sat Feb 19 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.6-2mdk
- moved _datadir/fonts/zh_TW symlink to fonts-ttf-chinese package
  where it belongs (bug #13508),
- made fonts-ttf-big5 and fonts-ttf-gb2312 require fonts-ttf-chinese,
  so an update will install fonts-ttf-chinese

* Sun Feb 13 2005 Abel Cheung <deaddog@mandrake.org> 1.2.6-1mdk
- Firefly font version 1.2.6
- Mark fontconfig cache files as ghost
- Remove icons -- they should be useless now
- Tidying up description, license etc

* Wed Jan 19 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.0-2mdk
- fixed cdi install scripts (the ghostscript script has directory
  paths hardcoded)

* Fri Jan 07 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.0-1mdk
- new version

* Sat Oct 02 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-21mdk
- added to CID scripts the real postscript names of the ttf fonts

* Fri Mar 14 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-20mdk
- Added link so that fonts are also visible in 
  /usr/share/fonts/zh_TW/TrueType/, so that Mozilla can print taiwanese
  pages.

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-19mdk
- added *-iso10646-1 lines to use in utf-8 locales

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-18mdk
- proper use of fc-cache

* Mon Dec 23 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-17mdk
- changed cache files to Xft2 format
- added a ghostscript alias name (used by galeon printing)

* Thu Dec 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-16mdk
- Correct the typo in Alex's script.

* Wed Dec 05 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 1.0-15mdk
- Corrected wrong encodings.dir link
- Add new CID Fontname for Mozilla printing

* Mon Nov 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-14mdk
- Own /usr/share/fonts/ & Co
- Clean spec

* Mon Oct 22 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 1.0-13mdk
- Corrected PS fontname for big5. 
  (MOESung-Light -> MOESung-Regular)

* Thu Jul 26 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 1.0-12mdk
- make the ttf fonts cooperate with gs-cjk.

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-11mdk
- BuildRequires:	freetype-tools
- Copyright --> License

* Fri Jun 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-10mdk
- added XftCache support
- removed hacked fonts.dir (now it is ttmkfdir role to create them correctly)

* Thu Apr 05 2001 Xming <dxiaoming@mandrakesoft.com> 1.0-9mdk
- Add support for GBK in /usr/share/fonts/ttf/gb2312/font.dir

* Fri Mar 23 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-8mdk
- removed useless stuff in %%post

* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-7mdk
- adapted for the xfs in XFree86 4

* Sun Aug 06 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.0-6mdk
- modified location license file --> usr/doc --> usr/share/doc
- macroszifications
- BM
- Geoff <snailtalk@linux-mandrake.com> use tmppath macro

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 1.0-5mdk
- mandrake release

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-4mdk
- fixed wrong group for -gb2312 and typo True Type -> True type

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- made %%post/%%postun more robust
- new Groups: naming
- removed *.tti, which are now obsolete
* Wed Jan  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- add a dependency on chkfontpath.

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first Mandrake version
